Subject: bug#30788: 27.0.50; Getting 'char-displayable-p: Invalid hash table rehash size: 1.0' when starting emacs -Q

From: Eli Zaretskii <[email-masked]>
Date: Tue, 13 Mar 2018 20:08:15 +0200

> From: Mats Lidell <[email-masked]>
> Cc: Ulrich Mueller <[email-masked]>,  <[email-masked]>
> Date: Tue, 13 Mar 2018 18:42:27 +0100
> 
> > Eli Zaretskii writes:
> > > Date: Tue, 13 Mar 2018 11:14:18 +0100
> > > From: Ulrich Mueller <[email-masked]>
> > > 
> > > Downstream bug: https://bugs.gentoo.org/650332
> >
> > Can someone who can reproduce this please post a backtrace?
> 
> I'm sorry Eli, I'm afraid I can't do that! (Or setting the pun aside lack the
> skills or have a too broken emacs ...) Please advice what I should do.

Start Emacs under GDB, put a breakpoint in Fmake_hash_table, where it
signals this error (line 4530 of fns.c in today's master), then run
Emacs with "run -Q", and when the breakpoint breaks, type "xbacktrace"
at the GDB prompt, and post the results here.

(If "xbacktrace" doesn't work, type "source /path/to/src/.gdbinit" and
try again.)

TIA